API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class ClosableTab

Package | ch.unil.cbg.ExpressionView.view.components
Class | public class ClosableTab
Inheritance | ClosableTab mx.controls.tabBarClasses.Tab

Public Properties

| Property | Defined by
--- | --- | ---
|  | enableClose : String | ClosableTab

Public Methods

| Method | Defined by
--- | --- | ---
|  | ClosableTab() | ClosableTab

Protected Methods

| Method | Defined by
--- | --- | ---
|  | createChildren():void | ClosableTab
|  | rollOutHandler(event:MouseEvent):void | ClosableTab
|  | rollOverHandler(event:MouseEvent):void | ClosableTab
|  | updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void | ClosableTab

Public Constants

| Constant | Defined by
--- | --- | ---
|  | ALWAYS : String = "always" [static] | ClosableTab
|  | CLOSE_TAB_EVENT : String = "closeTab" [static] | ClosableTab
|  | NEVER : String = "never" [static] | ClosableTab
|  | ROLLOVER : String = "rollover" [static] | ClosableTab

Property detail

enableClose | property

`enableClose:String` [read-write]Implementation
`public function get enableClose():String`
`public function set enableClose(value:String):void`
Constructor detail

ClosableTab | () | constructor

`public function ClosableTab()`
Method detail

createChildren | () | method

`protected override function createChildren():void`

rollOutHandler | () | method |

`protected override function rollOutHandler(event:MouseEvent):void` Parameters

| `event:MouseEvent`

rollOverHandler | () | method |

`protected override function rollOverHandler(event:MouseEvent):void` Parameters

| `event:MouseEvent`

updateDisplayList | () | method |

`protected override function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void` Parameters

| `unscaledWidth:Number`
| `unscaledHeight:Number`

Constant detail

ALWAYS | constant

`public static const ALWAYS:String = "always"`

CLOSE_TAB_EVENT | constant |

`public static const CLOSE_TAB_EVENT:String = "closeTab"`

NEVER | constant |

`public static const NEVER:String = "never"`

ROLLOVER | constant |

`public static const ROLLOVER:String = "rollover"`